API reference
List AI credit activity
GET
/v1/billing/current/ai-credits/activityAuthorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Query Parameters
limit?integer
Maximum number of results to return.
Format
int32cursor?string
Opaque cursor from the previous response. Omit it on the first page.
search?string
Free-text filter. Which fields it covers depends on the resource.
sortBy?string
Field to sort by. Accepted values depend on the resource.
sortDirection?string
Sort direction: asc or desc.
Value in
- "asc"
- "desc"
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/billing/current/ai-credits/activity"{ "data": [ { "id": "string", "type": "grant", "source": "unknown", "creditChange": 0, "balanceAfter": 0, "createdOn": "2019-08-24T14:15:22Z", "requestId": null, "capability": null, "provider": null, "model": null, "inputTokens": null, "outputTokens": null, "usageStatus": null } ], "hasNextPage": true, "nextCursor": null, "totalCount": null}